org.apache.lucene.search.spans

## Interface SpanCollector

-     public interface SpanCollector

  An interface defining the collection of postings information from the leaves of a `Spans`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectLeaf(PostingsEnum postings, int position, Term term)` Collect information from postings
    `void` | `reset()` Call to indicate that the driving Spans has moved to a new position

- - ### Method Detail

    - #### collectLeaf

          void collectLeaf(PostingsEnum postings,
                           int position,
                           Term term)
                    throws IOException

      Collect information from postings
      Parameters:
        `postings` - a `PostingsEnum`
        `position` - the position of the PostingsEnum
        `term` - the `Term` for this postings list
      Throws:
        `IOException` - on error

    - #### reset

          void reset()

      Call to indicate that the driving Spans has moved to a new position

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.